Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libwmf
Version:	0.2.8.4
Release:	2
Provides:	%{name}
License:	GNU/GPL 
URL:		http://wvware.sourceforge.net/libwmf.html
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	libwmf is a library to convert Microsoft's WMF (Windows Metafile) format to something useful.

#Automatically resolved build dependencies
BuildRequires: expat-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: zlib-devel

%description
libwmf is a library to convert Microsoft's WMF (Windows Metafile) format to something useful.
Bindings exist to convert them to onscreen X graphics, to the png format, and to fig and eps.
For more details see: http://wvware.sourceforge.net/libwmf.html

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%package doc
Summary: 	%{name} docs.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description doc
Documentation files for %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
				--bindir=%_bindir \
				--libdir=%_libdir \
				--includedir=%_includedir \
				--datadir=%_datadir \
				--with-fontdir=%_datadir/%{name}/fonts \
				--disable-dependency-tracking
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_libdir/gtk-2.0/*/loaders/*.so
%_datadir/%{name}

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/gtk-2.0/*/loaders/*.a
%_libdir/gtk-2.0/*/loaders/*.la

%files doc
%defattr(-,root,root)
%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.2.8.4-2
- rebuilt against libjpeg 7
* Wed Sep 07 2005 Christian Wasem <wasem@ccux-linux.de> 0.2.8.4-1
- Update to Version 0.2.8.4
* Wed Jul 13 2005 Christian Wasem <wasem@ccux-linux.de> 0.2.8.3-3
- rebuild for source rpm
